local diff = {
	["axisDiffs"] = {
		["a2002cdnil"] = {
			["name"] = "Cyclic Roll",
			["removed"] = {
				[1] = {
					["key"] = "JOY_X",
				},
			},
		},
		["a3052cd31"] = {
			["added"] = {
				[1] = {
					["filter"] = {
						["curvature"] = {
							[1] = 0,
						},
						["deadzone"] = 0,
						["hardwareDetent"] = false,
						["hardwareDetentAB"] = 0,
						["hardwareDetentMax"] = 0,
						["invert"] = true,
						["saturationX"] = 1,
						["saturationY"] = 1,
						["slider"] = false,
					},
					["key"] = "JOY_X",
				},
			},
			["name"] = "KU Scratchpad Brightness Knob",
		},
	},
	["keyDiffs"] = {
		["d3001pnilu3001cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN46",
				},
				[2] = {
					["key"] = "JOY_BTN46",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - CLR",
		},
		["d3002pnilu3002cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN40",
				},
				[2] = {
					["key"] = "JOY_BTN40",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - BKS",
		},
		["d3003pnilu3003cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN41",
				},
				[2] = {
					["key"] = "JOY_BTN41",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - SPC",
		},
		["d3004pnilu3004cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN47",
				},
				[2] = {
					["key"] = "JOY_BTN47",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - Left",
		},
		["d3005pnilu3005cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN48",
				},
				[2] = {
					["key"] = "JOY_BTN48",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - Right",
		},
		["d3006pnilu3006cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN50",
				},
				[2] = {
					["key"] = "JOY_BTN50",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - ENTER",
		},
		["d3007pnilu3007cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN1",
				},
				[2] = {
					["key"] = "JOY_BTN1",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - A",
		},
		["d3008pnilu3008cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN2",
				},
				[2] = {
					["key"] = "JOY_BTN2",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - B",
		},
		["d3009pnilu3009cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN3",
				},
				[2] = {
					["key"] = "JOY_BTN3",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - C",
		},
		["d3010pnilu3010cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN4",
				},
				[2] = {
					["key"] = "JOY_BTN4",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - D",
		},
		["d3011pnilu3011cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN5",
				},
				[2] = {
					["key"] = "JOY_BTN5",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - E",
		},
		["d3012pnilu3012cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN6",
				},
				[2] = {
					["key"] = "JOY_BTN6",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - F",
		},
		["d3013pnilu3013cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN10",
				},
				[2] = {
					["key"] = "JOY_BTN10",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - G",
		},
		["d3014pnilu3014cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN11",
				},
				[2] = {
					["key"] = "JOY_BTN11",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - H",
		},
		["d3015pnilu3015cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN12",
				},
				[2] = {
					["key"] = "JOY_BTN12",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - I",
		},
		["d3016pnilu3016cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN13",
				},
				[2] = {
					["key"] = "JOY_BTN13",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - J",
		},
		["d3017pnilu3017cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN14",
				},
				[2] = {
					["key"] = "JOY_BTN14",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - K",
		},
		["d3018pnilu3018cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN15",
				},
				[2] = {
					["key"] = "JOY_BTN15",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - L",
		},
		["d3019pnilu3019cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN19",
				},
				[2] = {
					["key"] = "JOY_BTN19",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - M",
		},
		["d3020pnilu3020cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN20",
				},
				[2] = {
					["key"] = "JOY_BTN20",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - N",
		},
		["d3021pnilu3021cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN21",
				},
				[2] = {
					["key"] = "JOY_BTN21",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - O",
		},
		["d3022pnilu3022cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN22",
				},
				[2] = {
					["key"] = "JOY_BTN22",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - P",
		},
		["d3023pnilu3023cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN23",
				},
				[2] = {
					["key"] = "JOY_BTN23",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - Q",
		},
		["d3024pnilu3024cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN24",
				},
				[2] = {
					["key"] = "JOY_BTN24",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - R",
		},
		["d3025pnilu3025cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN28",
				},
				[2] = {
					["key"] = "JOY_BTN28",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - S",
		},
		["d3026pnilu3026cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN29",
				},
				[2] = {
					["key"] = "JOY_BTN29",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - T",
		},
		["d3027pnilu3027cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN30",
				},
				[2] = {
					["key"] = "JOY_BTN30",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - U",
		},
		["d3028pnilu3028cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN31",
				},
				[2] = {
					["key"] = "JOY_BTN31",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - V",
		},
		["d3029pnilu3029cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN32",
				},
				[2] = {
					["key"] = "JOY_BTN32",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - W",
		},
		["d3030pnilu3030cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN33",
				},
				[2] = {
					["key"] = "JOY_BTN33",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - X",
		},
		["d3031pnilu3031cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN37",
				},
				[2] = {
					["key"] = "JOY_BTN37",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - Y",
		},
		["d3032pnilu3032cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN38",
				},
				[2] = {
					["key"] = "JOY_BTN38",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - Z",
		},
		["d3033pnilu3033cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN7",
				},
				[2] = {
					["key"] = "JOY_BTN7",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - 1",
		},
		["d3034pnilu3034cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN8",
				},
				[2] = {
					["key"] = "JOY_BTN8",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - 2",
		},
		["d3035pnilu3035cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN9",
				},
				[2] = {
					["key"] = "JOY_BTN9",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - 3",
		},
		["d3036pnilu3036cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN16",
				},
				[2] = {
					["key"] = "JOY_BTN16",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - 4",
		},
		["d3037pnilu3037cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN17",
				},
				[2] = {
					["key"] = "JOY_BTN17",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - 5",
		},
		["d3038pnilu3038cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN18",
				},
				[2] = {
					["key"] = "JOY_BTN18",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - 6",
		},
		["d3039pnilu3039cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN25",
				},
				[2] = {
					["key"] = "JOY_BTN25",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - 7",
		},
		["d3040pnilu3040cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN26",
				},
				[2] = {
					["key"] = "JOY_BTN26",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - 8",
		},
		["d3041pnilu3041cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN27",
				},
				[2] = {
					["key"] = "JOY_BTN27",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - 9",
		},
		["d3042pnilu3042cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN34",
				},
				[2] = {
					["key"] = "JOY_BTN34",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - .",
		},
		["d3043pnilu3043cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN35",
				},
				[2] = {
					["key"] = "JOY_BTN35",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - 0",
		},
		["d3044pnilu3044cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN36",
				},
				[2] = {
					["key"] = "JOY_BTN36",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - +/-",
		},
		["d3045pnilu3045cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN39",
				},
				[2] = {
					["key"] = "JOY_BTN39",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - /",
		},
		["d3046pnilu3046cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN44",
				},
				[2] = {
					["key"] = "JOY_BTN44",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - +",
		},
		["d3047pnilu3047cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN45",
				},
				[2] = {
					["key"] = "JOY_BTN45",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - -",
		},
		["d3048pnilu3048cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN43",
				},
				[2] = {
					["key"] = "JOY_BTN43",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - / (divide)",
		},
		["d3049pnilu3049cd31vd1vpnilvu0"] = {
			["added"] = {
				[1] = {
					["key"] = "JOY_BTN42",
				},
				[2] = {
					["key"] = "JOY_BTN42",
					["reformers"] = {
						[1] = "CPG",
					},
				},
			},
			["name"] = "KU Key - *",
		},
	},
}
return diff